;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux ri package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The ri package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name flavor)
			      "/site-lisp/ri-el") load-path))

(autoload 'ri "ri.el" 
  "emacs support for Dave Thomas's \"ri\" (Ruby Index) utility" t)

(autoload 'ruby-index "ri" "ri utility" t)
(autoload 'ri "ri" "ri utility" t)
(autoload 'ri-show-term-at-point "ri" "ri utility" t)
(autoload 'ri-show-term-composite-at-point "ri" "ri utility" t)

;;;; Set this command to whatever you use to run ri:
(setq ri-ri-command "/usr/bin/ri1.6")

;;;; If you put Emacs.rb somewhere other than the main ri/op
;;;; directory, then change "Emacs" to "/full/path/to/Emacs.rb":
(setq ri-emacsrb "Emacs")

;;;; These two global key bindings enable the instant ri lookup of a
;;;; term at point.  
;; (global-set-key "\C-c\C-c\C-r" 'ri-show-term-at-point)
;; (global-set-key "\C-c\C-c\C-t" 'ri-show-term-composite-at-point)
;;;;
;;;; Keybindings for buffer navigation inside an ri output buffer.
;;;; Uncomment and change if desired.
;;;;
;;; (setq ri-key-stcap "\C-m")
;;; show-term-composite at point (same as global above, but bound to
;;; <ENTER> for convenience)
;;;
;;; (setq ri-key-quit "q")
;;; bound to function ri-quit, which is probably quit-window)
;;;
;;; (setq ri-key-fnt "\C-i")
;;; find-next-term (TAB)
;;;
;;; (setq ri-key-fpt "\M-\C-i")
;;; find-previous-term (META-TAB)
;;;
;;;; Miscellaneous boolean configuration variables.  Change and
;;;; uncomment if you wish.  Asterisk means default.
;;;
;;; (setq ri-use-one-buffer t)
;;; *t:   put all ri output in a single buffer
;;; nil: create a different buffer for each call to ri
;;;
;;; (setq ri-overwrite-buffer nil)
;;; t:   replace ri buffer contents with output from later calls to ri
;;; *nil: put new output at top of buffer leaving old output in place
;;;
;;; (setq ri-switch-to-ri-buffer t)
;;; *t:   select ri output buffer automatically after call to ri
;;; nil: show ri output buffer but don't select it

(setq ri-read-only nil)
;;; *t:   ri output buffer(s) is (are) read-only 
;;; nil: ri output buffer(s) is (are) read/write
